;***********************************************
;**                 I80C188                   **
;**                                           **
;**          Peripheral Control Block         **
;**             Include File for              **
;**               I/O Mapping                 **
;**                                           **
;**                                           **
;***********************************************

PCBB	EQU	0FF00H	; PCB Base Address

;Register		Address

INTRVEC	EQU     PCBB + 0020H ; Interrupt Vector Register
INTRMSK	EQU     PCBB + 0028H ; Interrupt Mask Register
PRIRMSK	EQU     PCBB + 002AH ; Priority Mask Register
INSERV	EQU     PCBB + 002CH ; In-Service Register
INTRREQ	EQU     PCBB + 002EH ; Interrupt Request Register
INTRSTA	EQU     PCBB + 0030H ; Interrupt Status Register
TINTRCN	EQU     PCBB + 0032H ; Timer Interrupt Control
DMA0INT	EQU     PCBB + 0034H ; DMA 0 Interrupt Control
DMA1INT	EQU     PCBB + 0036H ; DMA 1 Interrupt Control
INT0CON	EQU     PCBB + 0038H ; INT0 Control Register
INT1CON	EQU     PCBB + 003AH ; INT1 Control Register
INT2CON	EQU     PCBB + 003CH ; INT2 Control Register
INT3CON	EQU     PCBB + 003EH ; INT3 Control Register

T0CNT	EQU	PCBB + 0050H ; Timer 0 Count
T0CMPA	EQU	PCBB + 0052H ; Timer 0 Compare A
T0CMPB	EQU	PCBB + 0054H ; Timer 0 Compare B
T0CON	EQU	PCBB + 0056H ; Timer 0 Control
T1CNT	EQU	PCBB + 0058H ; Timer 1 Count
T1CMPA	EQU	PCBB + 005AH ; Timer 1 Compare A
T1CMPB	EQU	PCBB + 005CH ; Timer 1 Compare B
T1CON	EQU	PCBB + 005EH ; Timer 1 Control
T2CNT	EQU	PCBB + 0060H ; Timer 2 Count
T2CMPA	EQU	PCBB + 0062H ; Timer 2 Compare A
T2CON	EQU	PCBB + 0066H ; Timer 2 Control

UMCS	EQU	PCBB + 00A0H ; Upper Memory Chip Select
LMCS	EQU	PCBB + 00A2H ; Lower Memory Chip Select
PACS	EQU	PCBB + 00A4H ; PACS Register
MMCS	EQU	PCBB + 00A6H ; MMCS Register
MPCS	EQU	PCBB + 00A8H ; MPCS Register

D0SRCL	EQU	PCBB + 00C0H ; DMA 0 Source Low
D0SRCH	EQU	PCBB + 00C2H ; DMA 0 Source High
D0DSTL	EQU	PCBB + 00C4H ; DMA 0 Destination Low
D0DSTH	EQU	PCBB + 00C6H ; DMA 0 Destination High
D0TC	EQU	PCBB + 00C8H ; DMA 0 Terminal Count
D0CON	EQU	PCBB + 00CAH ; DMA 0 Control

D1SRCL	EQU	PCBB + 00D0H ; DMA 1 Source Low
D1SRCH	EQU	PCBB + 00D2H ; DMA 1 Source High
D1DSTL	EQU	PCBB + 00D4H ; DMA 1 Destination Low
D1DSTH	EQU	PCBB + 00D6H ; DMA 1 Destination High
D1TC	EQU	PCBB + 00D8H ; DMA 1 Terminal Count
D1CON	EQU	PCBB + 00DAH ; DMA 1 Control

RELOCATE EQU	PCBB + 00FEH ; Relocation Register
