.186
nowarn uni ; No warnings about use of "at"
%pagesize 69
%bin 18
%nosyms ; No symbol table in .LST
name startup
%nolist
include pcb.inc
%list
;-------------------------------------------

;  YOU NEED TO CHANGE THE FOLLWING 2 VALUES YOU FIT YOUR DESIGN!
        sram_size equ  8 ; RAM size in K (this is set for 4K)
        eprom_size equ 8 ; ROM size in K (this is set for 8K)
	stack_size equ 4 ; Stack size in K
	eprom_base equ 1024 - eprom_size
	eprom_start equ eprom_base shl 6
	pwron_start equ 0FFFFh
	data_start equ 00000h
	stack_start equ (sram_size - stack_size) shl 6

	assume cs:code, ss:stck, ds:data, es:data

data segment at data_start 'RAM'
	IVTable dd 256 dup (?) ; Interrupt Vector Table
	db 400h dup (?) ; 1K work space
	storeBytes db 6 dup (?)

tmp1    dw    (?)

data ends

stck segment at stack_start 'RAM'
	db stack_size shl 10 dup (?)
stck ends

code segment at eprom_start 'ROM'

main:
	mov dx, offset LMCS ; Initialize RAM select
	mov ax, ((sram_size shl 6) - 1) AND 0FFF8h ; no wait states
	out dx, al

	mov ax, data ; initialize DS, ES
	mov ds, ax
	mov es, ax

	mov ax, stck ; Initialize SS
	mov ss, ax
	mov sp, stack_size shl 10 ; Point to top of stack

	cli ; No intr yet

;  
;
;  YOU PUT ALL YOUR CODE HERE!
;
;


; Do 16 bit mem operations and 8 bit I/O Operations

        in al, 0F7h             ; input a byte from the port f7
        or dl, 0FFh             ; put something in DL
        mov al, dl              ; mov it into al
        out 0F7h, al            ; output a byte

        cmp al, dl              ; compare them
        je zero_found        	; jump somewhere

        xor dl, dl              ; clear dl, should be fetched but not exec.

zero_found:
        mov ax, 1234h           ; write something to ax
        mov tmp1, ax            ; word write to mem
        xor ax, ax              ; clear ax
        mov ax, tmp1            ; get word that we just wrote








	nop
terminate:			; Stop processing
	hlt
	jmp terminate
code ends
;---------------------------------------------------------------------
pwron segment at pwron_start ; Power-on Segment
assume cs:pwron
power_on:
	mov dx, offset UMCS
	mov ax, eprom_start + 38h ; no WAIT states
	out dx, al
	jmp far ptr main
pwron ends

	end power_on

