; Filename:    strchr.asm
; Author:      ECE 353 Staff
; Description: Sample demo for using TASM

       .186                             ; generate 80186 code

assume  cs:code, ds:data

public  strchr                          ;export procedure label 

data    segment public                  ; begin data segment
;no data allocated in this file, but need to define segment
;so assembler can figure out our ASSUME directive for DS
data    ends                            ; end of data segment

code    segment public                  ; begin code segment
;
; Name:        strchr
; Description: Implements the C function strchr, which scans a string
;              for the first occurrence of a given character.
;              strchr scans a string in the forward direction, looking
;              for a specific character. strchr finds the first occurrence
;              of the character in the string. The null-terminator is
;              considered to be part of the string.
; Assumes:     AL - character to search for
;              DS:DI - address of null-terminated string to search 
;                      (string must not start at offset of zero!)
; Returns:     If found, AX = offset of first occurrence,
;              otherwise AX = 0
; Modifies:    DI
strchr   proc
         cmp   byte ptr [di], al        ; check for character
         je    found                    ; if found, di has correct offset
         cmp   byte ptr [di], 0         ; at end of string?
         je    not_found                ; if so, must not have found it
         inc   di                       ; otherwise advance pointer
         jmp   strchr                   ; and repeat
not_found:
         mov   di, 0                    ; flag as not found
found:   mov   ax, di                   ; return in AX
         ret
strchr   endp                           ; end of strchr procedure
;
code     ends
;
end
